summaryrefslogtreecommitdiff
path: root/hints
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>2000-05-29 03:01:38 +0000
committerJarkko Hietaniemi <jhi@iki.fi>2000-05-29 03:01:38 +0000
commit0af2a2907a21f2e6ff6ca5f8df976d75a98b9794 (patch)
tree822de246c205c41c606a4c905ae610c6158e3f9a /hints
parentd67bf1d95495fd9f41cabf2a1f9dc1f266c1575d (diff)
parent413e5597fa15080977e13a1ad58f104914a75a31 (diff)
downloadperl-0af2a2907a21f2e6ff6ca5f8df976d75a98b9794.tar.gz
Integrate with Sarathy.
p4raw-id: //depot/cfgperl@6156
Diffstat (limited to 'hints')
-rw-r--r--hints/bsdos.sh36
-rw-r--r--hints/os2.sh2
2 files changed, 31 insertions, 7 deletions
diff --git a/hints/bsdos.sh b/hints/bsdos.sh
index c54a0c1606..d3b1b703f2 100644
--- a/hints/bsdos.sh
+++ b/hints/bsdos.sh
@@ -3,8 +3,12 @@
# hints file for BSD/OS (adapted from bsd386.sh)
# Original by Neil Bowers <neilb@khoros.unm.edu>; Tue Oct 4 12:01:34 EDT 1994
# Updated by Tony Sanders <sanders@bsdi.com>; Sat Aug 23 12:47:45 MDT 1997
-# Added 3.1 with ELF dynamic libraries (NOT in 3.1 yet. Estimated for 4.0)
-# SYSV IPC tested Ok so I re-enabled.
+# Added 3.1 with ELF dynamic libraries (NOT in 3.1 yet.
+# Estimated for 4.0) SYSV IPC tested Ok so I re-enabled.
+#
+# Updated to work in post-4.0 by Todd C. Miller <millert@openbsd.org>
+#
+# Updated for threads by "Timur I. Bakeyev" <bsdi@listserv.bat.ru>
#
# To override the compiler on the command line:
# ./Configure -Dcc=gcc2
@@ -18,7 +22,7 @@ d_voidsig='define'
usemymalloc='n'
# setre?[ug]id() have been replaced by the _POSIX_SAVED_IDS versions.
-# See http://www.bsdi.com/bsdi-man?setuid(2)
+# See <A HREF="http://www.bsdi.com/bsdi-man?setuid">http://www.bsdi.com/bsdi-man?setuid</A>(2)
d_setregid='undef'
d_setreuid='undef'
d_setrgid='undef'
@@ -85,8 +89,8 @@ case "$osvers" in
libswanted="Xpm Xaw Xmu Xt SM ICE Xext X11 $libswanted"
libswanted="rpc curses termcap $libswanted"
;;
-4.0*)
- # ELF dynamic link libraries starting in 4.0 (???)
+4.*)
+ # ELF dynamic link libraries starting in 4.0
useshrplib='true'
so='so'
dlext='so'
@@ -101,6 +105,26 @@ case "$osvers" in
'') ld='ld'
lddlflags="-shared -x $lddlflags" ;;
esac
- ;;
+ # Due usage of static pointer from crt.o
+ libswanted="util $libswanted" ;;
esac
+# This script UU/usethreads.cbu will get 'called-back' by Configure
+# after it has prompted the user for whether to use threads.
+cat > UU/usethreads.cbu <<'EOCBU'
+case "$usethreads" in
+$define|true|[yY]*)
+ case "$osvers" in
+ 3.*|4.*) ccflags="-D_REENTRANT $ccflags"
+ ;;
+ *) cat <<EOM >&4
+I did not know that BSD/OS $osvers supports POSIX threads.
+
+Feel free to tell perlbug@perl.com otherwise.
+EOM
+ exit 1
+ ;;
+ esac
+ ;;
+esac
+EOCBU
diff --git a/hints/os2.sh b/hints/os2.sh
index 1d9df3683f..0e9f786d25 100644
--- a/hints/os2.sh
+++ b/hints/os2.sh
@@ -93,7 +93,7 @@ if test "$libemx" = "X"; then echo "Cannot find C library!" >&2; fi
libpth="`echo \"$LIBRARY_PATH\" | tr ';\\\' ' /'`"
libpth="$libpth $libemx/mt $libemx"
-set `emxrev -f emxlibcm`
+set `cmd /c emxrev -f emxlibcm`
emxcrtrev=$5
# indented to not put it into config.sh
_defemxcrtrev=-D_EMX_CRT_REV_=$emxcrtrev